package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ParadaCodOrgaoConcedenteDAO;
import com.rjconsultores.ventaboletos.entidad.Pais;
import com.rjconsultores.ventaboletos.entidad.ParadaCodOrgaoConcedente;
import com.rjconsultores.ventaboletos.service.ParadaCodOrgaoConcedenteService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("paradaCodOrgaoConcedenteService")
public class ParadaCodOrgaoConcedenteServiceImpl implements ParadaCodOrgaoConcedenteService {

    @Autowired
    private ParadaCodOrgaoConcedenteDAO paradaCodOrgaoConcedenteDAO;

	@Override
	public List<ParadaCodOrgaoConcedente> obtenerTodos() {
		return paradaCodOrgaoConcedenteDAO.obtenerTodos();
	}

	@Override
	public ParadaCodOrgaoConcedente obtenerID(Integer id) {
		return paradaCodOrgaoConcedenteDAO.obtenerID(id);
	}

	@Transactional
	public ParadaCodOrgaoConcedente suscribir(ParadaCodOrgaoConcedente entidad) {
		return paradaCodOrgaoConcedenteDAO.suscribir(entidad);
	}

	@Transactional
	public ParadaCodOrgaoConcedente actualizacion(ParadaCodOrgaoConcedente entidad) {
		return paradaCodOrgaoConcedenteDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ParadaCodOrgaoConcedente entidad) {
		paradaCodOrgaoConcedenteDAO.borrar(entidad);
	}

}
